<?php


//includes functions and classes for remita constants
require 'remita_constants.php';
$security_id = get_security_id($user_id);
$orderID = "";
if( isset( $_GET['txnref'] )) {
$orderID = $_GET["txnref"];
}
$response_code ="";
$rrr = "";
$response_message = "";
//Verify Transaction
function remita_transaction_details($orderId){
		$mert =  MERCHANTID;
		$api_key =  APIKEY;
		$concatString = $orderId . $api_key . $mert;
		$hash = hash('sha512', $concatString);
		$url 	= CHECKSTATUSURL . '/' . $mert  . '/' . $orderId . '/' . $hash . '/' . 'orderstatus.reg';
		//  Initiate curl
		$ch = curl_init();
		// Disable SSL verification
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		// Will return the response, if false it print the response
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		// Set the url
		curl_setopt($ch, CURLOPT_URL,$url);
		// Execute
		$result=curl_exec($ch);
		// Closing
		curl_close($ch);
		$response = json_decode($result, true);
		return $response;
	}
	if($orderID !=null){
		$response = remita_transaction_details($orderID);
		$response_code = $response['status'];
		if (isset($response['RRR']))
			{
			$rrr = $response['RRR'];
			}
		$response_message = $response['message'];
}




?>
	
    
<ul class="breadcrumb">
     
     <!--  <li><a href="gateway.php?act=view_admission_reports">  Admission Manager</a> <span class="divider"></span></li>
       <li><a href="gateway.php?act=view_admitted_applicants">Applicants  Reports Per Programmes Menu </a> <span class="divider"></span></li>-->
        <li class="active"> <img src="images/new-remita-logo- small.jpg" /> Remita Transaction Requery  (Accept. Fees)  </li>
            
</ul>


<div class="well">
	

      <ul class="tabs"> 
        <li><a href="#view1">Remita Transaction Requery  (Accept. Fees)</a></li> 
       
       </ul> 
      <div class="tabcontents"> 
       
        
        <div id="view1">
        
        		
               
        	
        	                   
             <div style="text-align: center;">
            <?php 

            	//$response_code = '00';
            	
				if($response_code == '01' || $response_code == '00')
				{
					
					//Payment Successful, You can Update Status to Paid here on Database;
					
					
					$user_id = get_invoice_to_using_txnref($orderID); //get the user id from 
					
					//get the invoice details
						$iid = get_invoice_id_using_txnref($orderID);
					
						//invoice to
						 $invoice_type  = get_invoice_type($iid);//get invoice type
						 $invoice_to = get_invoice_invoice_to($iid);
						 $pay_to = get_invoice_pay_to($iid); //get who to pay the invoce to

						
						 $invoice_for = get_invoice_for($iid); //get what the invoice is made for 
						 $title = get_invoice_title($iid); // get the invocie title
						 $description = get_invoice_desc($iid); //get the invoice desc
						$invoice_amount = get_invoice_amount($iid);
					   
							//$user = get_user_id();//get user
						//$level = '100'; //get user level
						$programme_type = get_user_programme_type_applied_for($user_id); //programme type

						$department = get_user_department_applied_for($user_id); //department
						$programme  = get_user_programme_applied_for($user_id);//programme
						
					    $mode = 1; //programme mode 1 -  full time, 2 part time
						 
					 
					 //get current session 
					 //$session = get_current_session($id = 1); //get current session
					 $session = 6;
					 $session_title = get_session_title($session); //get session title
					 
					 //get current semester
					$semester = get_current_semester($id = 1); //get current semester
					 //$semester_title = get_semester_title($semester); //get semester title
					/*					 
				    $full_name = get_user_fullname($invoice_to);
					$email = get_user_email($invoice_to);
					$phone_no = get_user_phone_no($invoice_to);*/

					//collect matric number an dother student info
				  	$appno = get_user_application_number($invoice_to);
					$payment_mode = 3;
					 
				 	//
					 
					if(!applicant_id_exist_payments_acc_fees($invoice_to)) //in future add session to match exactly the candidate
					{
					   
							  
						$payment_year = date('Y');//payment year
			 			$qry44="INSERT INTO `hostel_fee_payments`(`id`, `programme_type_id`, `department_id`, `programme_id`,
                   `actual_programme_id`, `session_id`, `semester_id`, `student_id`, `payment_status`,`payment_mode`, `invoice_id`,
                    `title`, `description`, `amount`, `date_added`, `added_by`)
                    VALUES (NULL,'$programme_type','$department','$programme',
                   '$programme', '$session','$semester','$invoice_to','1','$payment_mode',
                   '$idd','$title','$description','$invoice_amount',NOW(),'$security_id')";

						 $rst44 =  mysqli_query($dbc, $qry44);
							  
						  if($rst44)//mysqli_affected_rows($dbc)
						  {
							//if done finally collect all info for receipt
							
							
							
							 //query
							  $q441 = "UPDATE invoices SET payment_status = 1 WHERE invoice_id = '$iid'"; //update invoice to paid where payment status is 1
							  $r441 = mysqli_query($dbc, $q441);
							  
							  if(mysqli_affected_rows($dbc))
							  //if($r441)
							  {//end of if update is successful
								
								 
								 //echo '<br/><br/> <a target="_blank" href="create_app_payment_slip.php?qlk='.md5(8).'&me='.$invoice_to.'" class="btn btn-info" data-toggle="tooltip" data-placement="top" title="Click here to Print / Download Payment Receipt"><i class="glyphicon glyphicon-print"> </i> Print / Download Receipt</a>';
								 //clear some sessions
								 
								 
								 //$applicant_fee_payments_entered = true;
					
							  }
							  else
							  {
								 /*$msg =   '&nbsp;&nbsp;SERVER ERROR: Please try again.';
								header("Location: dashboard.php?act=view_invoices&error=".urlencode($msg)."&qlk=".md5(8)."&auth=".sha1(md5(2))."&iid=".$iid);*/
					
							  }//end of if invoice is updated
						
							
							
						  }
						  else
						  {
							 //else tell the admin to reprint
							  
							  $msg =  'System Error! We are sorry for inconvenience.Please Retry again. Thank you.';
							  header("Location: dashboard.php?act=view_invoices&error=".urlencode($msg)."&qlk=".md5(8)."&auth=".sha1(md5(2))."&iid=".$iid);
						  }
					  
					}//end of if applicnt id exist in payment
				   else{
					 	//echo '<br/><br/> <a target="_blank" href="create_app_payment_slip.php?qlk='.md5(8).'&me='.$invoice_to.'" class="btn btn-info" data-toggle="tooltip" data-placement="top" title="Click here to Print / Download Payment Receipt"><i class="glyphicon glyphicon-print"> </i> Print / Download Receipt</a>';
				   		echo '<li class="list-group-item list-group-item-info"><h4>Payment Already Processed!</h4></li><br>';

					}

					
					$transaction_type = 5; //applicants
					$transaction_for = 5; //application fee
					$payment_method = 3; //2 for remita pay bank branch payment
					
					
					$iid2 = $iid;//pass invoice id
					$title2 = $title;
					$desc2 = $description;
					
				   
					//get payment status using 
					$payment_status = get_payment_status_by_resp_code($response_code);
					//$amt = $amt / 100;
					$amt = $tot;
					
					//$rrr = '98908098';
					if($rrr != '')
					{
					
					
					  if($rrr != '' && $orderID != '')
					  {
					  
							$qry23="UPDATE  `remita_webpay_transaction_log`  SET  
							 `payment_method` = '$payment_method', `payment_status` = '$payment_status', `response_code` = '$response_code', `response_description` = '$response_message',
							 `total_paid_by_buyer` = '$invoice_amount',`extra_charges_by_merchant` = '$extra_tot_m',
							  `transaction_id` = '$rrr',  `email` = '$email', `transaction_date` = NOW()
							 
							 WHERE transaction_reference = '$orderID'";
							   
							$rst23 =  mysqli_query($dbc, $qry23);
						
							//if(mysqli_affected_rows($dbc))
							if($rst23)
							{//end of if update is successful
							
								   
								   
								   //clear some sessions
								   
								   //unset($_SESSION['iid']);
								   //unset($_SESSION['amnt']);
								   
								
							//do nothing for now
							
							}
							else
							{
								//echo $msg6 =   '&nbsp;&nbsp;SERVER ERROR: Transaction Log has issues, we are sorry for the incovenience. Error(06)';
									  
							   //header("Location: dashboard.php?act=view_invoices3&error=".urlencode($msg)."&qlk=".md5(8)."&iid=".$iid);
						
							}
	  
	   
					  }//en dof if check
					  
					}//end of RRR aint empty

					 					
					
				}//end of if response code is successull














            ?>










                   
                   
                   
                   
                   <?php echo remita_response_code($response_code, $rrr, $response_message, $orderID ); ?>

              </div>
              
        
        </div> 
	
 
      </div>
</div>

</form>

